#
# spec file for package rpm-manual
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rpm-manual
Version:        %(rpm -q rpm | sed -e 's/rpm-\([^-]*\).*/\1/')
Release:        1.135
Summary:        RedHat Package Manager manual
License:        GFDL-1.3
Group:          Documentation/HTML
Url:            http://www.rpm.org/
Source:         http://www.gnu.org/licenses/fdl.txt
Source1:        http://rpm.org/chrome/site/rpmlogo.png
BuildArch:      noarch
BuildRequires:  doxygen
BuildRequires:  fdupes
Requires:       web_browser

%description 
The RedHat Package Manager manual in readable form.  
The word "manual" is a misnomer quoted from upstream; it actually contains just a bunch of useful notes.

%prep
cp -p '%{S:0}' .

%build
mkdir manual
cd manual
h="$PWD"

cd %{_defaultdocdir}/rpm/manual
for f in *
do ln -sT "$PWD/$f" "$h/$f.c"
done

cd "$h"
cat >Doxyfile <<'=Doxyfile'
PROJECT_NAME = "RPM"
PROJECT_NUMBER = %{version}
PROJECT_BRIEF = "RedHat Package Manager"
PROJECT_LOGO = %{S:1}
INPUT = .
=Doxyfile

doxygen
rm *.c Doxyfile

%install
install -d '%{buildroot}%{_defaultdocdir}/rpm'
cp -R '-t%{buildroot}%{_defaultdocdir}/rpm' manual
%fdupes '%{buildroot}%{_defaultdocdir}'

%files
%defattr(-,root,root,-)
%{_defaultdocdir}/rpm/manual
%doc fdl.txt

%changelog
* Thu Nov  7 2013 giecrilj@stegny.2a.pl
- created from scratch
